Skip to content
Start here

Edit app details

client.calls.sfu.update(stringappId, SFUUpdateParams { account_id, name } params, RequestOptionsoptions?): SFUUpdateResponse { created, modified, name, uid }
PUT/accounts/{account_id}/calls/apps/{app_id}

Edit details for a single app.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Calls Write
ParametersExpand Collapse
appId: string

A Cloudflare-generated unique identifier for a item.

maxLength32
minLength32
params: SFUUpdateParams { account_id, name }
account_id: string

Path param: The account identifier tag.

maxLength32
name?: string

Body param: A short description of Calls app, not shown to end users.

ReturnsExpand Collapse
SFUUpdateResponse { created, modified, name, uid }
created?: string

The date and time the item was created.

formatdate-time
modified?: string

The date and time the item was last modified.

formatdate-time
name?: string

A short description of Calls app, not shown to end users.

uid?: string

A Cloudflare-generated unique identifier for a item.

maxLength32
minLength32

Edit app details

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const sfu = await client.calls.sfu.update('2a95132c15732412d22c1476fa83f27a', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(sfu.uid);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "created": "2014-01-02T02:20:00Z",
    "modified": "2014-01-02T02:20:00Z",
    "name": "production-realtime-app",
    "uid": "2a95132c15732412d22c1476fa83f27a"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "created": "2014-01-02T02:20:00Z",
    "modified": "2014-01-02T02:20:00Z",
    "name": "production-realtime-app",
    "uid": "2a95132c15732412d22c1476fa83f27a"
  }
}